Subject: Re: bug#75477: 31.0.50; scratch/igc: crash on the latest commit

From: Pip Cet <[email-masked]>
Date: Thu, 30 Jan 2025 19:42:03 +0000

"Ihor Radchenko" <[email-masked]> writes:

> Ihor Radchenko <[email-masked]> writes:
>
>> While waiting to see if bug#75292 has been fixed on the latest
>> scratch/igc. Is experiences Emacs hanging and even crashing when
>> creating a new frame.
>>
>> I have managed to capture a backtrace today:
>> ...
>
> I haven't seen this bug again after all the updates.
>
> No other bugs either, just Emacs slowing down over time.
> For now, I will come back to master, until my irritation with
> performance is recovered enough for me to try igc again :)

Oh, sorry to hear it.

Not trying to stop you or anything, but we would like to know more about
what is causing those slowdowns.  If you're too frustrated now, you can
save a coredump (gdb command gcore) and save it along with the emacs
binary and emacs.pdmp somewhere :-)

Just if you want to, that is.

Thanks!

Pip